diff --git a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
index 1d2162d27..83778423c 100644
--- a/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
+++ b/game/client/src/main/java/net/minecraft/client/net/handler/PacketHandlerClient.java
@@ -68,6 +68,7 @@ import net.minecraft.core.world.save.LevelData;
 import net.minecraft.core.world.saveddata.SavedDataStorage;
 import net.minecraft.core.world.weather.Weather;
 import net.minecraft.core.world.weather.Weathers;
+import org.jetbrains.annotations.NotNull;
 import org.slf4j.Logger;
 
 import java.io.BufferedReader;
@@ -155,24 +156,24 @@ public class PacketHandlerClient extends PacketHandler
 
 
     @Override
-    public void handleLogin(PacketLogin loginPacket)
+    public void handleLogin(@NotNull PacketLogin packetLogin)
     {
         mc.playerController = new PlayerControllerMP(mc, this);
         mc.statsCounter.add(StatList.joinMultiplayerStat, 1);
-        worldClientMP = new WorldClientMP(this, loginPacket.worldSeed, loginPacket.dimensionId, loginPacket.worldTypeId);
+        worldClientMP = new WorldClientMP(this, packetLogin.worldSeed, packetLogin.dimensionId, packetLogin.worldTypeId);
         worldClientMP.isClientSide = true;
         mc.changeWorld(worldClientMP);
-        mc.thePlayer.dimension = loginPacket.dimensionId;
+        mc.thePlayer.dimension = packetLogin.dimensionId;
         mc.displayScreen(new ScreenDownloadTerrain(this));
-        mc.thePlayer.id = loginPacket.playerEntityIdAndProtocolVersion;
-        NetworkManager.PACKET_DELAY = loginPacket.packetDelay;
+        mc.thePlayer.id = packetLogin.playerEntityIdAndProtocolVersion;
+        NetworkManager.PACKET_DELAY = packetLogin.packetDelay;
         Registries.RECIPES = new RecipeRegistry();
 
         addToSendQueue(new PacketPlayerConfig(mc.thePlayer.playerConfig));
     }
 
     @Override
-    public void handlePlayerConfig(PacketPlayerConfig packetPlayerConfig) {
+    public void handlePlayerConfig(@NotNull PacketPlayerConfig packetPlayerConfig) {
         if (packetPlayerConfig.entityId >= 0 && packetPlayerConfig.entityId != mc.thePlayer.id) {
             Entity e = getEntityByID(packetPlayerConfig.entityId);
             if (e instanceof Player) {
@@ -182,50 +183,50 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePickupSpawn(PacketAddItemEntity addItemEntityPacket)
+    public void handleAddItemEntity(@NotNull PacketAddItemEntity packetAddItemEntity)
     {
-        double x = addItemEntityPacket.xPosition / 32D;
-        double y = addItemEntityPacket.yPosition / 32D;
-        double z = addItemEntityPacket.zPosition / 32D;
-        EntityItem entityItem = new EntityItem(worldClientMP, x, y, z, new ItemStack(addItemEntityPacket.itemID, addItemEntityPacket.count, addItemEntityPacket.itemDamage, addItemEntityPacket.tag));
-        entityItem.xd = (double) addItemEntityPacket.xd / 128D;
-        entityItem.yd = (double) addItemEntityPacket.yd / 128D;
-        entityItem.zd = (double) addItemEntityPacket.zd / 128D;
-        entityItem.serverPosX = addItemEntityPacket.xPosition;
-        entityItem.serverPosY = addItemEntityPacket.yPosition;
-        entityItem.serverPosZ = addItemEntityPacket.zPosition;
-        worldClientMP.addEntityToWorld(addItemEntityPacket.entityId, entityItem);
+        double x = packetAddItemEntity.xPosition / 32D;
+        double y = packetAddItemEntity.yPosition / 32D;
+        double z = packetAddItemEntity.zPosition / 32D;
+        EntityItem entityItem = new EntityItem(worldClientMP, x, y, z, new ItemStack(packetAddItemEntity.itemID, packetAddItemEntity.count, packetAddItemEntity.itemDamage, packetAddItemEntity.tag));
+        entityItem.xd = (double) packetAddItemEntity.xd / 128D;
+        entityItem.yd = (double) packetAddItemEntity.yd / 128D;
+        entityItem.zd = (double) packetAddItemEntity.zd / 128D;
+        entityItem.serverPosX = packetAddItemEntity.xPosition;
+        entityItem.serverPosY = packetAddItemEntity.yPosition;
+        entityItem.serverPosZ = packetAddItemEntity.zPosition;
+        worldClientMP.addEntityToWorld(packetAddItemEntity.entityId, entityItem);
     }
 
 
     @Override
-    public void handleVehicleSpawn(PacketAddEntity addEntityPacket) {
-        if (!NetEntityHandler.hasType(addEntityPacket.type)){ return; }
-        double xPosition = ((double) addEntityPacket.xPosition) / 32D;
-        double yPosition = ((double) addEntityPacket.yPosition) / 32D;
-        double zPosition = ((double) addEntityPacket.zPosition) / 32D;
+    public void handleAddEntity(@NotNull PacketAddEntity packetAddEntity) {
+        if (!NetEntityHandler.hasType(packetAddEntity.type)){ return; }
+        double xPosition = ((double) packetAddEntity.xPosition) / 32D;
+        double yPosition = ((double) packetAddEntity.yPosition) / 32D;
+        double zPosition = ((double) packetAddEntity.zPosition) / 32D;
         Entity owner;
-        if (addEntityPacket.ownerId >= 0){
-            owner = getEntityByID(addEntityPacket.ownerId);
+        if (packetAddEntity.ownerId >= 0){
+            owner = getEntityByID(packetAddEntity.ownerId);
         } else {
             owner = null;
         }
-        Entity newEntity = NetEntityHandler.getTypeEntry(addEntityPacket.type).getEntity(worldClientMP, xPosition, yPosition, zPosition, addEntityPacket.metaData, addEntityPacket.hasVelocity, addEntityPacket.xVelocity / 8000D, addEntityPacket.yVelocity / 8000D, addEntityPacket.zVelocity / 8000D, owner, addEntityPacket.tag);
+        Entity newEntity = NetEntityHandler.getTypeEntry(packetAddEntity.type).getEntity(worldClientMP, xPosition, yPosition, zPosition, packetAddEntity.metaData, packetAddEntity.hasVelocity, packetAddEntity.xVelocity / 8000D, packetAddEntity.yVelocity / 8000D, packetAddEntity.zVelocity / 8000D, owner, packetAddEntity.tag);
         if (newEntity != null) {
-            newEntity.serverPosX = addEntityPacket.xPosition;
-            newEntity.serverPosY = addEntityPacket.yPosition;
-            newEntity.serverPosZ = addEntityPacket.zPosition;
-            newEntity.yRot = addEntityPacket.yaw;
-            newEntity.xRot = addEntityPacket.pitch;
-            newEntity.id = addEntityPacket.entityId;
-            worldClientMP.addEntityToWorld(addEntityPacket.entityId, newEntity);
+            newEntity.serverPosX = packetAddEntity.xPosition;
+            newEntity.serverPosY = packetAddEntity.yPosition;
+            newEntity.serverPosZ = packetAddEntity.zPosition;
+            newEntity.yRot = packetAddEntity.yaw;
+            newEntity.xRot = packetAddEntity.pitch;
+            newEntity.id = packetAddEntity.entityId;
+            worldClientMP.addEntityToWorld(packetAddEntity.entityId, newEntity);
             if (owner instanceof Mob && newEntity instanceof Projectile){
                 ((Projectile) newEntity).owner = (Mob) owner;
             }
-            if (addEntityPacket.hasVelocity){
-                newEntity.lerpMotion(((double) addEntityPacket.xVelocity) / 8000D, ((double) addEntityPacket.yVelocity) / 8000D, ((double) addEntityPacket.zVelocity) / 8000D);
+            if (packetAddEntity.hasVelocity){
+                newEntity.lerpMotion(((double) packetAddEntity.xVelocity) / 8000D, ((double) packetAddEntity.yVelocity) / 8000D, ((double) packetAddEntity.zVelocity) / 8000D);
             }
-            List<SynchedEntityData.DataItem<?>> list = addEntityPacket.getUnpackedData();
+            List<SynchedEntityData.DataItem<?>> list = packetAddEntity.getUnpackedData();
             if (list != null)
             {
                 newEntity.getEntityData().assignValues(list);
@@ -234,29 +235,29 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleWeather(PacketWeatherEffect weatherEffectPacket)
+    public void handleWeatherEffect(@NotNull PacketWeatherEffect packetWeatherEffect)
     {
-        double x = (double) weatherEffectPacket.x / 32D;
-        double y = (double) weatherEffectPacket.y / 32D;
-        double z = (double) weatherEffectPacket.z / 32D;
+        double x = (double) packetWeatherEffect.x / 32D;
+        double y = (double) packetWeatherEffect.y / 32D;
+        double z = (double) packetWeatherEffect.z / 32D;
         Entity weatherEntity = null;
-        if (weatherEffectPacket.effectId == PacketWeatherEffect.EFFECT_LIGHTNING) {
+        if (packetWeatherEffect.effectId == PacketWeatherEffect.EFFECT_LIGHTNING) {
             weatherEntity = new EntityLightning(worldClientMP, x, y, z);
         }
         if (weatherEntity != null)
         {
-            weatherEntity.serverPosX = weatherEffectPacket.x;
-            weatherEntity.serverPosY = weatherEffectPacket.y;
-            weatherEntity.serverPosZ = weatherEffectPacket.z;
+            weatherEntity.serverPosX = packetWeatherEffect.x;
+            weatherEntity.serverPosY = packetWeatherEffect.y;
+            weatherEntity.serverPosZ = packetWeatherEffect.z;
             weatherEntity.yRot = 0.0F;
             weatherEntity.xRot = 0.0F;
-            weatherEntity.id = weatherEffectPacket.id;
+            weatherEntity.id = packetWeatherEffect.id;
             worldClientMP.addWeatherEffect(weatherEntity);
         }
     }
 
     @Override
-    public void handleWeatherStatus(PacketWeatherStatus packet)
+    public void handleWeatherStatus(@NotNull PacketWeatherStatus packet)
     {
         if (worldClientMP.dimension.id != packet.dimId) return;
         Weather currentWeather = packet.id == -1 ? null : Weathers.WEATHERS[packet.id];
@@ -265,42 +266,42 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityPainting(PacketAddPainting addPaintingPacket)
+    public void handleAddPainting(@NotNull PacketAddPainting packetAddPainting)
     {
-        Entity entity = worldClientMP.getEntityFromId(addPaintingPacket.entityId);
+        Entity entity = worldClientMP.getEntityFromId(packetAddPainting.entityId);
         if (entity instanceof EntityPainting){
             EntityPainting painting = (EntityPainting) entity;
-            painting.blockX = addPaintingPacket.xPosition;
-            painting.blockY = addPaintingPacket.yPosition;
-            painting.blockZ = addPaintingPacket.zPosition;
+            painting.blockX = packetAddPainting.xPosition;
+            painting.blockY = packetAddPainting.yPosition;
+            painting.blockZ = packetAddPainting.zPosition;
 
-            if (ArtType.map.containsKey(addPaintingPacket.key)) painting.art = ArtType.map.get(addPaintingPacket.key);
+            if (ArtType.map.containsKey(packetAddPainting.key)) painting.art = ArtType.map.get(packetAddPainting.key);
 
-            painting.setDirection(addPaintingPacket.direction);
-            if (addPaintingPacket.itemID > 0){
-                painting.setStack(new ItemStack(addPaintingPacket.itemID, 1, addPaintingPacket.meta));
+            painting.setDirection(packetAddPainting.direction);
+            if (packetAddPainting.itemID > 0){
+                painting.setStack(new ItemStack(packetAddPainting.itemID, 1, packetAddPainting.meta));
             }
         } else {
-            EntityPainting entitypainting = new EntityPainting(worldClientMP, addPaintingPacket.xPosition, addPaintingPacket.yPosition, addPaintingPacket.zPosition, addPaintingPacket.direction, addPaintingPacket.key);
-            worldClientMP.addEntityToWorld(addPaintingPacket.entityId, entitypainting);
-            if (addPaintingPacket.itemID > 0){
-                entitypainting.setStack(new ItemStack(addPaintingPacket.itemID, 1, addPaintingPacket.meta));
+            EntityPainting entitypainting = new EntityPainting(worldClientMP, packetAddPainting.xPosition, packetAddPainting.yPosition, packetAddPainting.zPosition, packetAddPainting.direction, packetAddPainting.key);
+            worldClientMP.addEntityToWorld(packetAddPainting.entityId, entitypainting);
+            if (packetAddPainting.itemID > 0){
+                entitypainting.setStack(new ItemStack(packetAddPainting.itemID, 1, packetAddPainting.meta));
             }
         }
 
     }
 
     @Override
-    public void handleEntityVelocity(PacketSetEntityMotion setEntityMotionPacket)
+    public void handleSetEntityMotion(@NotNull PacketSetEntityMotion packetSetEntityMotion)
     {
-        Entity entity = getEntityByID(setEntityMotionPacket.entityId);
+        Entity entity = getEntityByID(packetSetEntityMotion.entityId);
         if (entity != null) {
-            entity.lerpMotion((double) setEntityMotionPacket.motionX / 8000D, (double) setEntityMotionPacket.motionY / 8000D, (double) setEntityMotionPacket.motionZ / 8000D);
+            entity.lerpMotion((double) packetSetEntityMotion.motionX / 8000D, (double) packetSetEntityMotion.motionY / 8000D, (double) packetSetEntityMotion.motionZ / 8000D);
         }
     }
 
     @Override
-    public void handleEntityFling(final PacketEntityFling packetEntityFling) {
+    public void handleEntityFling(final @NotNull PacketEntityFling packetEntityFling) {
         final Entity entity = getEntityByID(packetEntityFling.entityId);
         if (entity != null) {
             entity.pushesThisTick = packetEntityFling.pushesTick;
@@ -313,30 +314,30 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleEntityMetadata(PacketSetEntityData setEntityDataPacket)
+    public void handleSetEntityData(@NotNull PacketSetEntityData packetSetEntityData)
     {
-        Entity entity = getEntityByID(setEntityDataPacket.entityId);
-        if (entity != null && setEntityDataPacket.getUnpackedData() != null)
+        Entity entity = getEntityByID(packetSetEntityData.entityId);
+        if (entity != null && packetSetEntityData.getUnpackedData() != null)
         {
-            entity.getEntityData().assignValues(setEntityDataPacket.getUnpackedData());
+            entity.getEntityData().assignValues(packetSetEntityData.getUnpackedData());
         }
     }
 
     @Override
-    public void handleNamedEntitySpawn(final PacketAddPlayer addPlayerPacket)
+    public void handleAddPlayer(final @NotNull PacketAddPlayer packetAddPlayer)
     {
-        final double x = (double) addPlayerPacket.xPosition / 32D;
-        final double y = (double) addPlayerPacket.yPosition / 32D;
-        final double z = (double) addPlayerPacket.zPosition / 32D;
-        final float yRot = (float) (addPlayerPacket.rotation * 360) / 256F;
-        final float xRot = (float) (addPlayerPacket.pitch * 360) / 256F;
-        final PlayerRemote playerRemote = new PlayerRemote(this.mc.currentWorld, addPlayerPacket.name, addPlayerPacket.uuid);
-        UUIDHelper.nameToUUIDMap.put(addPlayerPacket.name, addPlayerPacket.uuid);
-        playerRemote.playerConfig.config = addPlayerPacket.playerConfig;
-        playerRemote.xo = playerRemote.serverPosX = addPlayerPacket.xPosition;
-        playerRemote.yo = playerRemote.serverPosY = addPlayerPacket.yPosition;
-        playerRemote.zo = playerRemote.serverPosZ = addPlayerPacket.zPosition;
-        final int itemId = addPlayerPacket.currentItem;
+        final double x = (double) packetAddPlayer.xPosition / 32D;
+        final double y = (double) packetAddPlayer.yPosition / 32D;
+        final double z = (double) packetAddPlayer.zPosition / 32D;
+        final float yRot = (float) (packetAddPlayer.rotation * 360) / 256F;
+        final float xRot = (float) (packetAddPlayer.pitch * 360) / 256F;
+        final PlayerRemote playerRemote = new PlayerRemote(this.mc.currentWorld, packetAddPlayer.name, packetAddPlayer.uuid);
+        UUIDHelper.nameToUUIDMap.put(packetAddPlayer.name, packetAddPlayer.uuid);
+        playerRemote.playerConfig.config = packetAddPlayer.playerConfig;
+        playerRemote.xo = playerRemote.serverPosX = packetAddPlayer.xPosition;
+        playerRemote.yo = playerRemote.serverPosY = packetAddPlayer.yPosition;
+        playerRemote.zo = playerRemote.serverPosZ = packetAddPlayer.zPosition;
+        final int itemId = packetAddPlayer.currentItem;
         if (itemId == 0)
         {
             playerRemote.inventory.mainInventory[playerRemote.inventory.getCurrentItemIndex()] = null;
@@ -346,83 +347,83 @@ public class PacketHandlerClient extends PacketHandler
             playerRemote.inventory.mainInventory[playerRemote.inventory.getCurrentItemIndex()] = new ItemStack(itemId, 1, 0);
         }
         playerRemote.absMoveTo(x, y, z, yRot, xRot);
-        this.worldClientMP.addEntityToWorld(addPlayerPacket.entityId, playerRemote);
-        playerRemote.nickname = StringUtils.substring(addPlayerPacket.nickname, 0, 32);
-        playerRemote.chatColor = addPlayerPacket.chatColor;
-        if (addPlayerPacket.gamemode >= 0 && addPlayerPacket.gamemode < Gamemode.gamemodesList.length) {
-            playerRemote.setGamemode(Gamemode.gamemodesList[addPlayerPacket.gamemode]);
+        this.worldClientMP.addEntityToWorld(packetAddPlayer.entityId, playerRemote);
+        playerRemote.nickname = StringUtils.substring(packetAddPlayer.nickname, 0, 32);
+        playerRemote.chatColor = packetAddPlayer.chatColor;
+        if (packetAddPlayer.gamemode >= 0 && packetAddPlayer.gamemode < Gamemode.gamemodesList.length) {
+            playerRemote.setGamemode(Gamemode.gamemodesList[packetAddPlayer.gamemode]);
         }
 
-        playerRemote.setHeldObject(addPlayerPacket.heldObjectTag == null ? null : ICarriable.createAndLoadCarriable(playerRemote, addPlayerPacket.heldObjectTag));
+        playerRemote.setHeldObject(packetAddPlayer.heldObjectTag == null ? null : ICarriable.createAndLoadCarriable(playerRemote, packetAddPlayer.heldObjectTag));
     }
 
     @Override
-    public void handleEntityTeleport(PacketTeleportEntity teleportEntityPacket)
+    public void handleTeleportEntity(@NotNull PacketTeleportEntity packetTeleportEntity)
     {
-        Entity entity = getEntityByID(teleportEntityPacket.id);
+        Entity entity = getEntityByID(packetTeleportEntity.id);
         if (entity != null) {
-            entity.serverPosX = teleportEntityPacket.x;
-            entity.serverPosY = teleportEntityPacket.y;
-            entity.serverPosZ = teleportEntityPacket.z;
+            entity.serverPosX = packetTeleportEntity.x;
+            entity.serverPosY = packetTeleportEntity.y;
+            entity.serverPosZ = packetTeleportEntity.z;
             double d = (double) entity.serverPosX / 32D;
             double d1 = (double) entity.serverPosY / 32D + 0.015625D;
             double d2 = (double) entity.serverPosZ / 32D;
-            float f = (float) (teleportEntityPacket.yaw * 360) / 256F;
-            float f1 = (float) (teleportEntityPacket.pitch * 360) / 256F;
+            float f = (float) (packetTeleportEntity.yaw * 360) / 256F;
+            float f1 = (float) (packetTeleportEntity.pitch * 360) / 256F;
             entity.lerpTo(d, d1, d2, f, f1, 3);
         }
     }
 
     @Override
-    public void handleEntity(PacketMoveEntity moveEntityPacket)
+    public void handleMoveEntity(@NotNull PacketMoveEntity packetMoveEntity)
     {
-        Entity entity = getEntityByID(moveEntityPacket.id);
+        Entity entity = getEntityByID(packetMoveEntity.id);
         if (entity != null) {
-            entity.serverPosX += moveEntityPacket.x;
-            entity.serverPosY += moveEntityPacket.y;
-            entity.serverPosZ += moveEntityPacket.z;
+            entity.serverPosX += packetMoveEntity.x;
+            entity.serverPosY += packetMoveEntity.y;
+            entity.serverPosZ += packetMoveEntity.z;
             double d = (double) entity.serverPosX / 32D;
             double d1 = (double) entity.serverPosY / 32D;
             double d2 = (double) entity.serverPosZ / 32D;
-            float f = moveEntityPacket.rotating ? (float) (moveEntityPacket.yaw * 360) / 256F : entity.yRot;
-            float f1 = moveEntityPacket.rotating ? (float) (moveEntityPacket.pitch * 360) / 256F : entity.xRot;
+            float f = packetMoveEntity.rotating ? (float) (packetMoveEntity.yaw * 360) / 256F : entity.yRot;
+            float f1 = packetMoveEntity.rotating ? (float) (packetMoveEntity.pitch * 360) / 256F : entity.xRot;
             entity.lerpTo(d, d1, d2, f, f1, 3);
         }
     }
 
     @Override
-    public void handleEntityTagData(PacketEntityTagData entityTagDataPacket) {
-        Entity entity = getEntityByID(entityTagDataPacket.entityId);
+    public void handleEntityTagData(@NotNull PacketEntityTagData packetEntityTagData) {
+        Entity entity = getEntityByID(packetEntityTagData.entityId);
         if (entity != null) {
-            entity.readAdditionalSaveData(entityTagDataPacket.tag);
+            entity.readAdditionalSaveData(packetEntityTagData.tag);
         }
     }
 
     @Override
-    public void handleSetMobSpawner(PacketSetMobSpawner setMobSpawnerPacket) {
-        if (this.mc.currentWorld.isBlockLoaded(setMobSpawnerPacket.tilePos)) {
-            TileEntity tileentity = this.mc.currentWorld.getTileEntity(setMobSpawnerPacket.tilePos);
+    public void handleSetMobSpawner(@NotNull PacketSetMobSpawner packetSetMobSpawner) {
+        if (this.mc.currentWorld.isBlockLoaded(packetSetMobSpawner.tilePos)) {
+            TileEntity tileentity = this.mc.currentWorld.getTileEntity(packetSetMobSpawner.tilePos);
             if (tileentity instanceof TileEntityMobSpawner spawner) {
-                NamespaceID namespaceID = setMobSpawnerPacket.dispatcherEntry != null ? setMobSpawnerPacket.dispatcherEntry.namespaceID : null;
+                NamespaceID namespaceID = packetSetMobSpawner.dispatcherEntry != null ? packetSetMobSpawner.dispatcherEntry.namespaceID : null;
                 spawner.setMobId(namespaceID == null ? "none" : namespaceID.toString());
                 spawner.setChanged();
             }
         }
     }
     @Override
-    public void handleSetHotbarOffset(PacketSetHotbarOffset setHotbarOffsetPacket)
+    public void handleSetHotbarOffset(@NotNull PacketSetHotbarOffset packetSetHotbarOffset)
     {
-        mc.thePlayer.inventory.setHotbarOffset(setHotbarOffsetPacket.hotbarOffset, true);
+        mc.thePlayer.inventory.setHotbarOffset(packetSetHotbarOffset.hotbarOffset, true);
     }
 
     @Override
-    public void handleDestroyEntity(PacketRemoveEntity removeEntityPacket)
+    public void handleRemoveEntity(@NotNull PacketRemoveEntity packetRemoveEntity)
     {
-        worldClientMP.removeEntityFromWorld(removeEntityPacket.entityId);
+        worldClientMP.removeEntityFromWorld(packetRemoveEntity.entityId);
     }
 
     @Override
-    public void handleFlying(PacketMovePlayer movePlayerPacket)
+    public void handleMovePlayer(@NotNull PacketMovePlayer packetMovePlayer)
     {
         PlayerLocal entityplayersp = mc.thePlayer;
         double d = ((Player) (entityplayersp)).x;
@@ -430,24 +431,24 @@ public class PacketHandlerClient extends PacketHandler
         double d2 = ((Player) (entityplayersp)).z;
         float f = ((Player) (entityplayersp)).yRot;
         float f1 = ((Player) (entityplayersp)).xRot;
-        if (movePlayerPacket.hasPosition)
+        if (packetMovePlayer.hasPosition)
         {
-            d = movePlayerPacket.x;
-            d1 = movePlayerPacket.y;
-            d2 = movePlayerPacket.z;
+            d = packetMovePlayer.x;
+            d1 = packetMovePlayer.y;
+            d2 = packetMovePlayer.z;
         }
-        if (movePlayerPacket.hasRotation)
+        if (packetMovePlayer.hasRotation)
         {
-            f = movePlayerPacket.yaw;
-            f1 = movePlayerPacket.pitch;
+            f = packetMovePlayer.yaw;
+            f1 = packetMovePlayer.pitch;
         }
         entityplayersp.ySlideOffset = 0.0F;
         entityplayersp.xd = entityplayersp.yd = entityplayersp.zd = 0.0D;
         entityplayersp.absMoveTo(d, d1, d2, f, f1);
-        movePlayerPacket.x = ((Player) (entityplayersp)).x;
-        movePlayerPacket.y = ((Player) (entityplayersp)).bb.minY;
-        movePlayerPacket.z = ((Player) (entityplayersp)).z;
-        netManager.addToSendQueue(movePlayerPacket);
+        packetMovePlayer.x = ((Player) (entityplayersp)).x;
+        packetMovePlayer.y = ((Player) (entityplayersp)).bb.minY;
+        packetMovePlayer.z = ((Player) (entityplayersp)).z;
+        netManager.addToSendQueue(packetMovePlayer);
         if (!started)
         {
             mc.thePlayer.xo = mc.thePlayer.x;
@@ -459,21 +460,21 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handlePreChunk(PacketChunkVisibility chunkVisibilityPacket)
+    public void handleChunkVisibility(@NotNull PacketChunkVisibility packetChunkVisibility)
     {
-        worldClientMP.doPreChunk(chunkVisibilityPacket.chunkX, chunkVisibilityPacket.chunkZ, chunkVisibilityPacket.playerAdded);
+        worldClientMP.doPreChunk(packetChunkVisibility.chunkX, packetChunkVisibility.chunkZ, packetChunkVisibility.playerAdded);
     }
 
     @Override
-    public void handleMultiBlockChange(PacketChunkBlocksUpdate chunkBlocksUpdatePacket)
+    public void handleChunkBlocksUpdate(@NotNull PacketChunkBlocksUpdate packetChunkBlocksUpdate)
     {
-        int xBase = chunkBlocksUpdatePacket.xChunk * 16;
-        int zBase = chunkBlocksUpdatePacket.zChunk * 16;
-        for (int k = 0; k < chunkBlocksUpdatePacket.size; k++)
+        int xBase = packetChunkBlocksUpdate.xChunk * 16;
+        int zBase = packetChunkBlocksUpdate.zChunk * 16;
+        for (int k = 0; k < packetChunkBlocksUpdate.size; k++)
         {
-            int coord = chunkBlocksUpdatePacket.coordinateArray[k];
-            int type = chunkBlocksUpdatePacket.typeArray[k] & 0x3fff;
-            byte data = chunkBlocksUpdatePacket.metadataArray[k];
+            int coord = packetChunkBlocksUpdate.coordinateArray[k];
+            int type = packetChunkBlocksUpdate.typeArray[k] & 0x3fff;
+            byte data = packetChunkBlocksUpdate.metadataArray[k];
             int x = coord >> 0 & 0xf;
             int y = coord >> 8 & 0xff;
             int z = coord >> 4 & 0xf;
@@ -485,31 +486,31 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleMapChunk(PacketBlockRegionUpdate blockRegionUpdatePacket)
+    public void handleBlockRegionUpdate(@NotNull PacketBlockRegionUpdate packetBlockRegionUpdate)
     {
-        for (int x = blockRegionUpdatePacket.xPosition / 16; x <= blockRegionUpdatePacket.xPosition / 16 + blockRegionUpdatePacket.xSize / 16; x++) {
-            for (int z = blockRegionUpdatePacket.zPosition / 16; z <= blockRegionUpdatePacket.zPosition / 16 + blockRegionUpdatePacket.zSize / 16; z++) {
+        for (int x = packetBlockRegionUpdate.xPosition / 16; x <= packetBlockRegionUpdate.xPosition / 16 + packetBlockRegionUpdate.xSize / 16; x++) {
+            for (int z = packetBlockRegionUpdate.zPosition / 16; z <= packetBlockRegionUpdate.zPosition / 16 + packetBlockRegionUpdate.zSize / 16; z++) {
                 worldClientMP.doPreChunk(x, z, true);
             }
         }
-        worldClientMP.removePositionTypesInBounds(blockRegionUpdatePacket.xPosition, blockRegionUpdatePacket.yPosition, blockRegionUpdatePacket.zPosition, (blockRegionUpdatePacket.xPosition + blockRegionUpdatePacket.xSize) - 1, (blockRegionUpdatePacket.yPosition + blockRegionUpdatePacket.ySize) - 1, (blockRegionUpdatePacket.zPosition + blockRegionUpdatePacket.zSize) - 1);
-        worldClientMP.setChunkData(blockRegionUpdatePacket.xPosition, blockRegionUpdatePacket.yPosition, blockRegionUpdatePacket.zPosition, blockRegionUpdatePacket.xSize, blockRegionUpdatePacket.ySize, blockRegionUpdatePacket.zSize, blockRegionUpdatePacket.chunk);
+        worldClientMP.removePositionTypesInBounds(packetBlockRegionUpdate.xPosition, packetBlockRegionUpdate.yPosition, packetBlockRegionUpdate.zPosition, (packetBlockRegionUpdate.xPosition + packetBlockRegionUpdate.xSize) - 1, (packetBlockRegionUpdate.yPosition + packetBlockRegionUpdate.ySize) - 1, (packetBlockRegionUpdate.zPosition + packetBlockRegionUpdate.zSize) - 1);
+        worldClientMP.setChunkData(packetBlockRegionUpdate.xPosition, packetBlockRegionUpdate.yPosition, packetBlockRegionUpdate.zPosition, packetBlockRegionUpdate.xSize, packetBlockRegionUpdate.ySize, packetBlockRegionUpdate.zSize, packetBlockRegionUpdate.chunk);
     }
 
     @Override
-    public void handleBlockUpdate(PacketBlockUpdate blockUpdatePacket)
+    public void handleBlockUpdate(@NotNull PacketBlockUpdate packetBlockUpdate)
     {
-        worldClientMP.blockChange(blockUpdatePacket.xPosition, blockUpdatePacket.yPosition, blockUpdatePacket.zPosition, blockUpdatePacket.blockId, blockUpdatePacket.metadata);
+        worldClientMP.blockChange(packetBlockUpdate.xPosition, packetBlockUpdate.yPosition, packetBlockUpdate.zPosition, packetBlockUpdate.blockId, packetBlockUpdate.metadata);
     }
 
     @Override
-    public void handleKickDisconnect(PacketDisconnect packet255KickdisconnectPacket)
+    public void handleDisconnect(@NotNull PacketDisconnect packetDisconnect)
     {
         netManager.networkShutdown("disconnect.kicked", new Object[0]);
         disconnected = true;
         mc.changeWorld(null);
         mc.displayScreen(new ScreenConnectFailed("disconnect.disconnected", "disconnect.genericReason", new Object[]{
-            packet255KickdisconnectPacket.reason
+            packetDisconnect.reason
         }));
     }
 
@@ -549,10 +550,10 @@ public class PacketHandlerClient extends PacketHandler
     }
 
     @Override
-    public void handleCollect(PacketTakeItemEntity takeItemEntityPacket)
+    public void handleTakeItemEntity(@NotNull PacketTakeItemEntity packetTakeItemEntity)
     {
-        Entity item = getEntityByID(takeItemEntityPacket.collectedEntityId);
-        Entity collector = getEntityByID(takeItemEntityPacket.collectorEntityId);
+        Entity item = getEntityByID(packetTakeItemEntity.collectedEntityId);
+        Entity collector = getEntityByID(packetTakeItemEntity.collectorEntityId);
         if (collector == null)
         {
             collector = mc.thePlayer;
@@ -563,12 +564,12 @@ public class PacketHandlerClient extends PacketHandler
             // something about that isn't working on servers if the player changed their gamemode.
             worldClientMP.playSoundAtEntity(null, item, "item.pickup", 1F, ((rand.nextFloat() - rand.nextFloat()) * 0.7F + 1.0F) * 4.0F);
             mc.particleEngine.add(new ParticlePickupAnimation(mc.currentWorld, item, collector, -0.5F));
-            worldClientMP.removeEntityFromWorld(takeItemEntityPacket.collectedEntityId);
+            worldClientMP.removeEntityFromWorld(packetTakeItemEntity.collectedEntityId);
         }
     }
 
 	@Override
-	public void handleChat(PacketChat packet) {
+	public void handleChat(@NotNull PacketChat packet) {
 		String message;
 		if(packet.encrypted) {
 			try {
